<?php
/**
 * @package WordPress
 * @subpackage listio
 */

if( !function_exists('listio_admin_membership') ): 
    function listio_admin_membership() {
        add_settings_section( 'listio_membership_section', __( 'Membership and Payment', 'listio' ), 'listio_membership_section_callback', 'listio_membership_settings' );
        add_settings_field( 'listio_paid_field', __( 'PayPal paid submission', 'listio' ), 'listio_paid_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_payment_currency_field', __( 'Payment currency', 'listio' ), 'listio_payment_currency_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_submission_price_field', __( 'Property submission price', 'listio' ), 'listio_submission_price_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_featured_price_field', __( 'Featured property submission price', 'listio' ), 'listio_featured_price_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_free_submissions_no_field', __( 'Number of free submissions', 'listio' ), 'listio_free_submissions_no_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_free_submissions_unlim_field', __( 'Unlimited free submissions', 'listio' ), 'listio_free_submissions_unlim_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_free_featured_submissions_no_field', __( 'Number of free featured submissions', 'listio' ), 'listio_free_featured_submissions_no_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_api_version_field', __( 'PayPal API version', 'listio' ), 'listio_paypal_api_version_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_client_id_field', __( 'PayPal Client ID', 'listio' ), 'listio_paypal_client_id_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_client_key_field', __( 'PayPal Client Secret Key', 'listio' ), 'listio_paypal_client_key_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_api_username_field', __( 'PayPal API username', 'listio' ), 'listio_paypal_api_username_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_api_password_field', __( 'PayPal API password', 'listio' ), 'listio_paypal_api_password_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_api_signature_field', __( 'PayPal API signature', 'listio' ), 'listio_paypal_api_signature_field_render', 'listio_membership_settings', 'listio_membership_section' );
        add_settings_field( 'listio_paypal_email_field', __( 'PayPal receiving e-mail', 'listio' ), 'listio_paypal_email_field_render', 'listio_membership_settings', 'listio_membership_section' );
    }
endif;

if( !function_exists('listio_membership_section_callback') ): 
    function listio_membership_section_callback() { 
        echo '';
    }
endif;

if( !function_exists('listio_paid_field_render') ): 
    function listio_paid_field_render() { 
        $options = get_option( 'listio_membership_settings' );

        $value_select = '<select id="listio_membership_settings[listio_paid_field]" name="listio_membership_settings[listio_paid_field]">';
        $value_select .= '<option value="disabled"';
        if(isset($options['listio_paid_field']) && $options['listio_paid_field'] == 'disabled') {
            $value_select .= 'selected="selected"';
        }
        $value_select .= '>' . __('disabled', 'listio') . '</option>';
        $value_select .= '<option value="listing"';
        if(isset($options['listio_paid_field']) && $options['listio_paid_field'] == 'listing') {
            $value_select .= 'selected="selected"';
        }
        $value_select .= '>' . __('per listing', 'listio') . '</option>';
        $value_select .= '<option value="membership"';
        if(isset($options['listio_paid_field']) && $options['listio_paid_field'] == 'membership') {
            $value_select .= 'selected="selected"';
        }
        $value_select .= '>' . __('membership', 'listio') . '</option>';
        $value_select .= '</select>';

        print $value_select;
    }
endif;

if( !function_exists('listio_payment_currency_field_render') ): 
    function listio_payment_currency_field_render() { 
        $options = get_option( 'listio_membership_settings' );
        $currencies = array('USD','EUR','AUD','BRL','CAD','CZK','DKK','HKD','HUF','ILS','INR','JPY','MYR','MXN','NOK','NZD','PHP','PLN','GBP','SGD','SEK','CHF','TWD','THB','TRY');
        $currency_select = '<select id="listio_membership_settings[listio_payment_currency_field]" name="listio_membership_settings[listio_payment_currency_field]">';

        foreach($currencies as $currency) {
            $currency_select .= '<option value="' . esc_attr($currency) . '"';
            if(isset($options['listio_payment_currency_field']) && $options['listio_payment_currency_field'] == $currency) {
                $currency_select .= 'selected="selected"';
            }
            $currency_select .= '>' . esc_html($currency) . '</option>';
        }

        $currency_select .= '</select>';

        print $currency_select;
    }
endif;

if( !function_exists('listio_submission_price_field_render') ): 
    function listio_submission_price_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_submission_price_field]" type="text" size="20" name="listio_membership_settings[listio_submission_price_field]" value="<?php if(isset($options['listio_submission_price_field'])) { echo esc_attr($options['listio_submission_price_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_featured_price_field_render') ): 
    function listio_featured_price_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_featured_price_field]" type="text" size="20" name="listio_membership_settings[listio_featured_price_field]" value="<?php if(isset($options['listio_featured_price_field'])) { echo esc_attr($options['listio_featured_price_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_free_submissions_no_field_render') ): 
    function listio_free_submissions_no_field_render() {
        $options = get_option( 'listio_membership_settings' );

        // set free submissions number for all agents
        if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
            $args = array(
                'post_type'        => 'agent',
                'post_status'      => 'publish'
            );
            $posts = get_posts($args);
            foreach($posts as $post) : setup_postdata($post);
                update_post_meta($post->ID, 'agent_free_listings', $options['listio_free_submissions_no_field']);
            endforeach;
            wp_reset_postdata();
            wp_reset_query();
        }
        ?>
        <input id="listio_membership_settings[listio_free_submissions_no_field]" type="text" size="5" name="listio_membership_settings[listio_free_submissions_no_field]" value="<?php if(isset($options['listio_free_submissions_no_field'])) { echo esc_attr($options['listio_free_submissions_no_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_free_submissions_unlim_field_render') ): 
    function listio_free_submissions_unlim_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input type="checkbox" name="listio_membership_settings[listio_free_submissions_unlim_field]" <?php if(isset($options['listio_free_submissions_unlim_field'])) { checked( $options['listio_free_submissions_unlim_field'], 1 ); } ?> value="1">
        <?php
    }
endif;

if( !function_exists('listio_free_featured_submissions_no_field_render') ): 
    function listio_free_featured_submissions_no_field_render() {
        $options = get_option( 'listio_membership_settings' );

        // set free featured submissions number for all agents
        if(isset($_GET['settings-updated']) && $_GET['settings-updated']) {
            $args = array(
                'post_type'        => 'agent',
                'post_status'      => 'publish'
            );
            $posts = get_posts($args);
            foreach($posts as $post) : setup_postdata($post);
                update_post_meta($post->ID, 'agent_free_featured_listings', $options['listio_free_featured_submissions_no_field']);
            endforeach;
            wp_reset_postdata();
            wp_reset_query();
        }
        ?>
        <input id="listio_membership_settings[listio_free_featured_submissions_no_field]" type="text" size="5" name="listio_membership_settings[listio_free_featured_submissions_no_field]" value="<?php if(isset($options['listio_free_featured_submissions_no_field'])) { echo esc_attr($options['listio_free_featured_submissions_no_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_api_version_field_render') ): 
    function listio_paypal_api_version_field_render() { 
        $options = get_option( 'listio_membership_settings' );

        $value_select = '<select id="listio_membership_settings[listio_paypal_api_version_field]" name="listio_membership_settings[listio_paypal_api_version_field]">';
        $value_select .= '<option value="test"';
        if(isset($options['listio_paypal_api_version_field']) && $options['listio_paypal_api_version_field'] == 'test') {
            $value_select .= 'selected="selected"';
        }
        $value_select .= '>' . __('test', 'listio') . '</option>';
        $value_select .= '<option value="live"';
        if(isset($options['listio_paypal_api_version_field']) && $options['listio_paypal_api_version_field'] == 'live') {
            $value_select .= 'selected="selected"';
        }
        $value_select .= '>' . __('live', 'listio') . '</option>';
        $value_select .= '</select>';

        print $value_select;
    }
endif;

if( !function_exists('listio_paypal_client_id_field_render') ): 
    function listio_paypal_client_id_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_client_id_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_client_id_field]" value="<?php if(isset($options['listio_paypal_client_id_field'])) { echo esc_attr($options['listio_paypal_client_id_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_client_key_field_render') ): 
    function listio_paypal_client_key_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_client_key_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_client_key_field]" value="<?php if(isset($options['listio_paypal_client_key_field'])) { echo esc_attr($options['listio_paypal_client_key_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_api_username_field_render') ): 
    function listio_paypal_api_username_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_api_username_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_api_username_field]" value="<?php if(isset($options['listio_paypal_api_username_field'])) { echo esc_attr($options['listio_paypal_api_username_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_api_password_field_render') ): 
    function listio_paypal_api_password_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_api_password_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_api_password_field]" value="<?php if(isset($options['listio_paypal_api_password_field'])) { echo esc_attr($options['listio_paypal_api_password_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_api_signature_field_render') ): 
    function listio_paypal_api_signature_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_api_signature_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_api_signature_field]" value="<?php if(isset($options['listio_paypal_api_signature_field'])) { echo esc_attr($options['listio_paypal_api_signature_field']); } ?>" />
        <?php
    }
endif;

if( !function_exists('listio_paypal_email_field_render') ): 
    function listio_paypal_email_field_render() {
        $options = get_option( 'listio_membership_settings' );
        ?>
        <input id="listio_membership_settings[listio_paypal_email_field]" type="text" size="40" name="listio_membership_settings[listio_paypal_email_field]" value="<?php if(isset($options['listio_paypal_email_field'])) { echo esc_attr($options['listio_paypal_email_field']); } ?>" />
        <?php
    }
endif;

?>